/[suikacvs]/test/suikawebwww/style/def/uri.css
Suika

Contents of /test/suikawebwww/style/def/uri.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.3 - (hide annotations) (download) (as text)
Wed Jun 22 11:50:18 2005 UTC (21 years, 2 months ago) by wakaba
Branch: MAIN
Changes since 1.2: +2 -1 lines
File MIME type: text/css
Rules for technical specification added

1 wakaba 1.1 @charset 'iso-2022-jp';
2    
3     dl.uri-equiv,
4     dl.urn-suika-sub-nid-def {
5     display: block;
6     margin-left: auto;
7     margin-right: auto;
8     width: 70%;
9     border: 4px orange solid;
10     -moz-border-radius: 20px;
11     padding: 0.4em 0.8em;
12     }
13    
14 wakaba 1.2 dl.uri-equiv.deprecated {
15     border-color: gray;
16     }
17    
18 wakaba 1.1 dl.uri-equiv:before,
19     dl.urn-suika-sub-nid-def:before {
20     content: "$BDj5A(B";
21     display: block;
22     border-bottom: 4px orange solid;
23     margin-bottom: 0.3em;
24     font-weight: bolder;
25 wakaba 1.2 font-family: sans-serif;
26 wakaba 1.1 }
27    
28     dl.uri-equiv > dt,
29     dl.urn-suika-sub-nid-def > dt {
30     display: block;
31     float: left;
32     clear: left;
33     width: 4em;
34     margin: 0 0.2em 0.5em 0;
35     border-style: none;
36     padding: 0.2em 0.2em 0.2em 0.5em;
37     list-style: none;
38     text-indent: 0;
39     font-weight: normal;
40     }
41    
42     dl.uri-equiv > dt:after,
43     dl.urn-suika-sub-nid-def > dt:after {
44     content: " :";
45     display: inline;
46     }
47    
48     dl.uri-equiv > dd,
49     dl.urn-suika-sub-nid-def > dd {
50     display: block;
51     margin: 0 0 0.5em 0;
52     border-style: none;
53     padding: 0.2em 0.5em;
54     text-indent: 0;
55     }
56    
57     /* URI Equivalence Property Definitions
58     <http://suika.fam.cx/admin/assign/urn#EQUIV> */
59    
60     dl.uri-equiv {
61     min-width: 11em;
62     }
63    
64     dl.uri-equiv:before {
65 wakaba 1.2 display: none;
66     }
67    
68     dl.uri-equiv > dt.uri-equiv-name {
69     display: none;
70     }
71    
72     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) {
73     margin-left: 0;
74     margin-bottom: 0;
75     border-bottom: #C0C0C0 2px solid;
76     padding-left: 0;
77     padding-bottom: 0.1em;
78     font-weight: bolder;
79     font-family: sans-serif;
80     }
81    
82     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja):before {
83     content: "URI $BEy2A@-(B: ";
84     display: inline;
85     }
86    
87     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en) {
88     margin-left: 0;
89     margin-top: 0;
90     border-top: none 0 white;
91     padding-left: 0;
92     padding-top: 0.1em;
93     font-weight: bolder;
94     font-family: sans-serif;
95     font-size: 80%;
96 wakaba 1.3 opacity: 0.3;
97 wakaba 1.2 }
98    
99     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en):before {
100     content: "URI Equivalence: ";
101     display: inline;
102 wakaba 1.1 }
103    
104     /* Suika URN sub-nid Templates
105     <http://suika.fam.cx/admin/assign/urn#TEMPLATE> */
106    
107     dl.urn-suika-sub-nid-def {
108     min-width: 21em;
109     }
110    
111     dl.urn-suika-sub-nid-def:before {
112     content: "$B@>1;(B URI $BItJ,L>A06u4VDj5A(B";
113     }
114    
115     dl.urn-suika-sub-nid-def > dt {
116     width: 10em;
117     }
118    
119     /* IETF Template-like Style */
120    
121     dl.urn-nid-def {
122     display: block;
123     margin-left: auto;
124     margin-right: auto;
125     border-style: none;
126     padding: 0;
127     width: 33em;
128     }
129    
130     dl.urn-nid-def > dt {
131     display: block;
132     float: none;
133     width: auto;
134     margin: 1em 0 0 0;
135     border-style: none;
136     padding: 0;
137     list-style: none;
138     text-indent: 0;
139     }
140    
141     dl.urn-nid-def > dt:after {
142     content: ":";
143     display: inline;
144     }
145    
146     dl.urn-nid-def > dd {
147     display: block;
148     float: none;
149     width: auto;
150     margin: 1em 0 0 1.5em;
151     border-style: none;
152     padding: 0;
153     text-indent: 0;
154     }
155    
156     /* URN NID Templates */
157    
158     dl.urn-nid-def > dd.registration-date {
159     margin-top: 0;
160     }
161    
162     dl.urn-nid-def > dd > dl {
163     display: block;
164     margin: 0;
165     border-style: none;
166     padding: 0;
167     }
168    
169     dl.urn-nid-def > dd > dl > dt {
170     display: block;
171     float: none;
172     margin: 0;
173     border-style: none;
174     padding: 0;
175     list-style: none;
176     text-indent: 0;
177     }
178    
179     dl.urn-nid-def > dd > dl > dd {
180     display: block;
181     float: none;
182     margin: 0 0 0 1.5em;
183     border-style: none;
184     padding: 0;
185     list-style: none;
186     text-indent: 0;
187     }
188    
189     /* License
190    
191     Copyright 2005 Wakaba <[email protected]>.
192    
193     This program is free software; you can redistribute it and/or modify
194     it under the terms of the GNU General Public License as published by
195     the Free Software Foundation; either version 2 of the License, or
196     (at your option) any later version.
197    
198     This program is distributed in the hope that it will be useful,
199     but WITHOUT ANY WARRANTY; without even the implied warranty of
200     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
201     GNU General Public License for more details.
202    
203     You should have received a copy of the GNU General Public License
204     along with this program; see the file COPYING. If not, write to
205     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
206     Boston, MA 02111-1307, USA.
207    
208     */
209    
210 wakaba 1.3 /* $Date: 2005/06/03 10:34:08 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24